Package com.isomorphic.webdriver

# Class ByScLocator

java.lang.Object
org.openqa.selenium.By
com.isomorphic.webdriver.ByScLocator

public class ByScLocator extends org.openqa.selenium.By
A custom implementation of `By` which understands SmartClient locator names findElements() is delegated to AutoTest.js

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isEdge()`
  Checks whether locator represents the edge of widget
  `static org.openqa.selenium.By`
  `scLocator(String scLocator)`
  Support for static API like native By class
  `static void`
  `setDefaultWaitTimeout(int timeoutInSeconds)`
  Change the default timeout for all ByScLocator instances to the supplied number of seconds.
  `void`
  `setWaitTimeout(int timeoutInSeconds)`
  Change the timeout of the associated ByScLocator instance to the supplied number of seconds.

- ## Method Details

  - ### setDefaultWaitTimeout

    public static void setDefaultWaitTimeout(int timeoutInSeconds)
    Change the default timeout for all ByScLocator instances to the supplied number of seconds. This affects the `findElement(org.openqa.selenium.SearchContext)` method that waits for an element.
    Parameters:
      `timeoutInSeconds` - new default timeout, in seconds (must be positive)

  - ### setWaitTimeout

    public void setWaitTimeout(int timeoutInSeconds)
    Change the timeout of the associated ByScLocator instance to the supplied number of seconds. This affects the `findElement(org.openqa.selenium.SearchContext)` method that waits for an element.
    Parameters:
      `timeoutInSeconds` - new default timeout, in seconds (must be positive)

  - ### isEdge

    public boolean isEdge()
    Checks whether locator represents the edge of widget
    Returns:
      whether locator is an edge

  - ### scLocator

    public static org.openqa.selenium.By scLocator(String scLocator)
    Support for static API like native By class
    Parameters:
      `scLocator` - specifies a SmarctClient component or part thereof
    Returns:
      An implementation of By